org.apache.poi.xwpf.usermodel

## Enum TableWidthType

- java.lang.Object
- - java.lang.Enum<TableWidthType>
  - - org.apache.poi.xwpf.usermodel.TableWidthType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableWidthType>

      public enum TableWidthType
      extends java.lang.Enum<TableWidthType>

  The width types for tables and table cells. Table width can be specified as "auto" (AUTO), an absolute value in 20ths of a point (DXA), or as a percentage (PCT).
  Since:
    4.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `DXA`
    `NIL`
    `PCT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.STTblWidth.Enum` | `getStWidthType()` Get the underlying STTblWidth enum value.
    `protected org.openxmlformats.schemas.wordprocessingml.x2006.main.STTblWidth.Enum` | `getSTWidthType()`
    `static TableWidthType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableWidthType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final TableWidthType AUTO

    - #### DXA

          public static final TableWidthType DXA

    - #### NIL

          public static final TableWidthType NIL

    - #### PCT

          public static final TableWidthType PCT

  - ### Method Detail

    - #### values

          public static TableWidthType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableWidthType c : TableWidthType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableWidthType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSTWidthType

          protected org.openxmlformats.schemas.wordprocessingml.x2006.main.STTblWidth.Enum getSTWidthType()

    - #### getStWidthType

          @Internal
          public org.openxmlformats.schemas.wordprocessingml.x2006.main.STTblWidth.Enum getStWidthType()

      Get the underlying STTblWidth enum value.
      Returns:
        STTblWidth.Enum value

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.